Bug 172147 - Review Request: kdocker: Dock any application in the system tray
Review Request: kdocker: Dock any application in the system tray
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://kdocker.sourceforge.net/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-31 15:33 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-01 10:43:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-10-31 15:33:01 EST
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdocker-1.3-1.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdocker-1.3-1.src.rpm
Description: 
KDocker will help you dock any application in the system tray. This means you
can dock openoffice, xmms, firefox, thunderbolt, eclipse, anything! Just point
and click. Works for both KDE and GNOME (In fact it should work for most modern
window managers that support NET WM Specification. I believe it works for XFCE,
for instance)

All you need to do is start KDocker and select an application using the mouse
and lo! the application gets docked into the system tray. The application can
also be made to dissappear from the task bar.

KDocker supports the KDE System Tray Protocol and the System Tray Protocol from
freedesktop.org

Very few apps have docking capabilities (e.g. Yahoo! and XMMS don't have any).
Even if they do, sometimes they are specific to desktops (working on KDE but
not on GNOME, and vice versa). KDocker will help you dock any application in
the system tray. This means you can dock OpenOffice.org, XMMS, Firefox,
Thunderbird, etc. Just point and click. It works for KDE, GNOME, XFCE, and
probably many more.
Comment 1 Rex Dieter 2005-10-31 22:16:57 EST
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdocker-1.3-2.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdocker-1.3-2.src.rpm

%changelog
* Mon Oct 31 2005 Rex Dieter 1.3-2
- use desktop-file-install
Comment 2 Aurelien Bompard 2005-11-01 08:09:21 EST
Review for release 2:
* RPM name is OK
* Source kdocker-1.3.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of kdocker looks OK
* Works fine

Possible improvement:
* Tag as %%lang the files /usr/share/kdocker/i18n/kdocker_*.qm

APPROVED

Note You need to log in before you can comment on or make changes to this bug.